For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reservations List

API: Channels Plus · Operation: Reservations · Direction: Channel → SM · Method: Push (Channel-initiated)

get

Retrieve a list of reservations filtered by date type and a date range via fromDate & toDate. Max duration is 31 days. Only confirmed and cancelled reservations are returned.

Query parameters
dateTypestring · enumRequired

The type of date to filter reservations by. - checkIn: Filter by the guest's check-in date (arrival date) - checkOut: Filter by the guest's check-out date (departure date) - bookedOn: Filter by the date the reservation was created/booked

Possible values:
fromDatestring · dateRequired

The start date of the date range (inclusive). Cannot be more than 365 days in the past.

toDatestring · dateRequired

The end date of the date range (inclusive).

pageinteger · min: 1Optional

The page number of the results to fetch.

Default: 1
perPageinteger · min: 1 · max: 200Optional

The number of results per page.

Default: 100
Header parameters
x-sm-api-idstringRequired

The api id for channel

x-sm-api-keystringRequired

The api key for channel

Responses
200

Successful response. Returns a list of reservations.

application/json
get/reservations
GET /reservations?dateType=checkIn&fromDate=2026-01-01&toDate=2026-01-01 HTTP/1.1
x-sm-api-id: text
x-sm-api-key: text
Accept: */*
[
  {
    "bookingReferenceId": "text",
    "propertyUuid": "text",
    "bookedOnDate": "2026-01-01",
    "checkInDate": "2026-01-01",
    "checkOutDate": "2026-01-01",
    "currencyCode": "text",
    "paymentTotal": 1,
    "status": "Confirmed",
    "channelCommissionAmount": 1
  }
]

sparkles

Still have questions?

Last updated

Was this helpful?